from calculator.calc import *

def arithmetic_mean(data):
    """Calculate the arithmetic mean """
    n = len(data)
    if n == 0:
        return 0
    return Divide(sum(data), n)

def sample_standard_deviation(data):
    """Calculate the sample standard deviation of a list of numbers."""
    n = len(data)
    if n <= 1:
        return 0
    mean = arithmetic_mean(data)
    variance = sum(Exponentiate(Subtract(x, mean), 2) for x in data) / Subtract(n, 1)
    return round(Root(variance, 2), 10)  # Round the final result to 10 decimal places

def main():
    try:
        data = [float(x) for x in input().split()]
    except ValueError:
        print("enter at least one number")
        return

    try:
        result = sample_standard_deviation(data)
        print(result)
    except ZeroDivisionError:
        print("Error: You must enter at least one number.")

if __name__ == "__main__":
    main()
